Skip to main content
PATCH
Update IdeaCloud draft settings
Persist Composer accordion draft_settings (article type, staff for qa/expert, tone/voice, depth, geo, Layouts). Used by MCP before POST /content. Scope required: ideaclouds:write For qa and expert, pass selected_staff as an array of staff element UUIDs from Get site staff. The first UUID is used as the interview subject or expert. You can alternatively provide the same field directly to POST /content.
The /settings suffix is required. PATCH /ideaclouds/{id} is not an API endpoint.

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string<uuid>
required

IdeaCloud ID

Body

application/json
article_type
enum<string>
Available options:
basic,
qa,
expert
selected_staff
string<uuid>[]

Staff element UUIDs from GET /site/staff. Required when article_type is qa or expert. The first UUID is used as the interview subject or expert.

content_intent
enum<string>
Available options:
general,
fixed_ops,
variable
tone
enum<string>
Available options:
Informative,
Authoritative,
Persuasive,
Confident,
Analytical,
Empathetic,
Witty,
Enthusiastic,
Inspiring,
Motivating,
Creative
brand_voice_id
string
language
enum<string>
Available options:
English,
Spanish,
Mandarin Chinese,
Japanese,
Korean,
Arabic,
Farsi,
Hebrew,
French,
Tagalog,
Vietnamese,
Portuguese,
Russian
content_depth
enum<string>
Available options:
concise,
steady,
balanced,
substantial,
in-depth
output_format
enum<string>
Available options:
standard,
visual
visual_design_mode
enum<string>
Available options:
template,
custom,
user-template
selected_template_id
string<uuid>
target_geo_overrides
object[]
Maximum array length: 50
auto_compliance
boolean
auto_content_tools
boolean
title
string

Response

Updated settings

data
object
Last modified on August 3, 2026